import Store from '@connect/store';

function create(name) {
    return window.ya.connect[name] = new Store();
}

// алфавитно
export const BalanceStore = create('BalanceStore');
export const BunkerStore = create('BunkerStore');
export const ConfigStore = create('ConfigStore');
export const DomainStore = create('DomainStore');
export const FeatureStore = create('FeatureStore');
export const NotificationStore = create('NotificationStore');
export const OrgSettingsStore = create('OrgSettingsStore');
export const OrgStore = create('OrgStore');
export const PermissionStore = create('PermissionStore');
export const PricingStore = create('PricingStore');
export const ServiceStore = create('ServiceStore');
export const ServiceResourceRelationsStore = create('ServiceResourceRelationsStore');
export const ServiceResourceRequestsStore = create('ServiceResourceRequestsStore');
export const ServiceResourceRolesStore = create('ServiceResourceRolesStore');
export const ServiceResourcesStore = create('ServiceResourcesStore');
export const SessionStore = create('SessionStore');
export const ServiceRequestsStore = create('ServiceRequestsStore');
export const ServiceSubscribersStore = create('ServiceSubscribersStore');
export const UserSettingsStore = create('UserSettingsStore');
